Page MenuHomePhabricator

Add monolingual language code abq (Abaza)
Closed, ResolvedPublic

Description

Please add the language code abq to the list of language codes supported for monolingual text values.

Abaza is an official language in Karachay-Cherkessia, Russia. Used in native labels.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 15 2017, 8:19 PM
jhsoby added a subscriber: jhsoby.Jan 16 2017, 10:15 AM

No issues from language committee as far as I can tell. According to the Wikipedia article, the native name is "абаза бызшва".

Esc3300 updated the task description. (Show Details)Jan 16 2017, 11:33 AM
Esc3300 updated the task description. (Show Details)Jan 16 2017, 11:42 AM

This seems to be used with two different scripts. In that case, ideally, there be:

  • abq-Cyrl
  • abq-Latn

or at least

  • abq (for Cyrillic script)
  • abq-Latn

Any other comments on @Esc3300's point?

Esc3300 added a subscriber: Nikki.Jun 11 2017, 1:58 PM

@Nikki can you help us sort it out?

Lydia_Pintscher triaged this task as Medium priority.Jun 11 2017, 5:24 PM

*poke* about @Esc3300 comment. Let's get this resolved one way or the other.

The language may be written in two scripts however, use what is standard and standard use is Cyrillic given what Jon Harald mentioned.
Thanks,

GerardM

Change 505473 had a related patch set uploaded (by Mbch331; owner: Mbch331):
[mediawiki/extensions/Wikibase@master] Add monolingual languages abq (T155367), syc (T164580), el-CY (T198674)

https://gerrit.wikimedia.org/r/505473

Change 505473 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Add monolingual languages abq (T155367), syc (T164580), el-cy (T198674)

https://gerrit.wikimedia.org/r/505473